> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Get organization (externalId)

> Fetches an organization by its external source ID. Returns the full organization object including settings, partner information, recipients, and the configured Expense Management service. Returns 404 if no organization with the given external ID exists for the calling client application.

Fetches an organization by its external source ID. Returns the full organization object including settings, partner information, recipients, and the configured Expense Management service. Returns 404 if no organization with the given external ID exists for the calling client application.

<Warning>
  **Deprecated**

  ** Will be removed on 2027-12-31.** Use [List organizations](/reference/admingetorganization) instead.
</Warning>


## OpenAPI

````yaml openapi/findity-admin-api-1.json GET /organizations/externalid/{externalId}/
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /organizations/externalid/{externalId}/:
    get:
      tags:
        - Organizations
      summary: V0 - Get organization (externalId)
      description: >-
        Fetches an organization by its external source ID. Returns the full
        organization object including settings, partner information, recipients,
        and the configured Expense Management service. Returns 404 if no
        organization with the given external ID exists for the calling client
        application.
      operationId: 9eec9c73-7c47-4f0f-848c-c87586eba4e3
      parameters:
        - $ref: '#/components/parameters/externalId'
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
            description: Standard `application/json` content type.
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: Findity API version. Use `3` for the current admin API.
      responses:
        '200':
          description: Organization found. Returns the organization object.
          content:
            application/json:
              example:
                id: a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4
                externalSourceId: 555-666
                className: com.findity.consumer.Company
                lastUpdated: '2026-03-20T13:20:49Z'
                dateCreated: '2026-03-06T10:31:44Z'
                status: NORMAL
                name: Example Organization AB
                vat: 123456-1234
                phone: ''
                logoId: null
                iconId: null
                address:
                  street1: Example Street 1
                  street2: null
                  street3: null
                  city: Stockholm
                  postalCode: 111 22
                  country: Sweden
                  countryId: 2b9fbaa2630511e18824b0dd45bff075
                  countryCode: SE
                clientApplicationId: '16200214'
                label: null
                isl2017Date: '2016-12-31T22:59:59Z'
                content: []
                invoiceAddress:
                  id: b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5
                  street1: null
                  postalCode: null
                  city: null
                  country:
                    id: 2b9fbaa2630511e18824b0dd45bff075
                    iso2: SE
                    iso3: SWE
                    name: Sweden
                    lastUpdated: '2018-11-20T15:57:43Z'
                    distanceUnit: KM
                  countryCode: SE
                invoiceEmailAddress: null
                invoiceRefOur: null
                invoiceRefTheir: null
                unmanagedCardTransactionEmail: null
                licenseGroup: 0
                licensingEnabled: INHERITED
                activePackageLicenses: []
                supportAccessEndDate: '2026-04-05T09:31:44Z'
                settings:
                  useForCardTransactions: false
                  useNewDimensions: true
                  errorMailRecipient: errors@example.com
                  language: sv_SE
                  formattingRegion: sv_SE
                  hasBeenActivated: false
                  vatMode: SINGLE_VAT
                  design:
                    showClientAppBackgroundImage: false
                    darkAccentColor: '#012a2d'
                    textOnHoverColor: '#FFFFFF'
                    textOnAccentColor: '#FFFFFF'
                    accentColor: '#012a2d'
                    menuLogoUrl: https://expense.findity.com/api/resources/abc123
                    menuLogoUrl2: https://expense.findity.com/api/resources/abc124
                    hideInvoiceInformationOnOrgCreate: true
                    logoUrl: https://expense.findity.com/api/resources/abc125
                    dontCopyBackgroundImgageFromTemplate: false
                    useGhostButtons: true
                    favIconUrl: https://expense.findity.com/api/resources/abc126
                    iconUrl: https://expense.findity.com/api/resources/abc127
                    backgroundImageUrl: https://expense.findity.com/api/resources/abc125
                    customCss: ''
                    partnerHasAccentColor: true
                    partnerHasDarkAccentColor: true
                    partnerHasSecondaryAccentColor: false
                    partnerHasSecondaryDarkAccentColor: false
                    iconReadOnly: false
                    logoReadOnly: false
                    adminSwitchOn: admin_switch_on_ce.png
                    logo: ca_ce.png
                sendEventToExternalSystem: false
                partnerId: c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6
                partnerName: Example Partner
                partnerCode: exmpl
                payedByPartner: true
                identityProviderId: null
                identityProviderEnabled: false
                reportReviewOnPartner: false
                inheritedLicenseGroup: 2
                inheritedLicensingEnabled: INACTIVE
                classType: com.findity.consumer.Company
                isDefault: false
                services:
                  - id: d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1
                    useNewMileageView: false
                    classType: com.findity.consumer.service.ExpenseManagementService
                    recipients:
                      - id: e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2
                        status: NORMAL
                        dateCreated: '2026-03-06T10:33:45Z'
                        deletedAt: null
                        classType: >-
                          com.findity.economy.accounting.GenericExpenseReportRecipient
                        doDebitAccounting: true
                        doCreditAccounting: false
                        usesAutomaticAccounting: true
                        settings:
                          reportDateType: CURRENT_DATE
                          isGlobal: true
                          supportedFields:
                            - enableEmployeeAccountingSummary
                            - accountingType
                            - receiverSftp
                            - usesAccountingNumbers
                            - openEmailCheckbox
                            - receiverEmail
                            - sendPdf
                        email: accounting@example.com
                        errorEmail: errors@example.com
                        integrationPluginName: ce-integration-standard
                        sendSingleVerification: false
                        usesSalaryCodes: false
                        usesExpenseCodes: false
                        usesAccountingNumbers: true
                        sortOrder: 1
                        paymentTypes: []
                        usesBenefits: false
                        usesExtendedSubsistenceAllowance: false
                        usesNewAccountingStructure: true
                        verificationListsType: REPORT_PER_ACCOUNT
                        basisOutputType: SEND_PDF_AS_ATTACHMENT
                        customRecipientName: null
                        recipientName: PDF fil
                        originalRecipientName: PDF fil
                        requiresApiKey: false
                        hasApiKey: null
                        accountingNumbersSynced: false
                        salaryCodesSynced: false
                        usesPaymentTypes: true
                        disableManualAccounting: false
                    expenseReportNumberSeries: null
                    receiptNumberSeries: null
                    requireVerificationNumber: false
                    expenseBaseCurrency: SEK
                    userCanTakeBackReports: false
                    requiresAttestation: false
                    defaultDistanceUnit: KM
                    defaultAmountPerDistanceUnit: 0
                    defaultApproverId: null
                    requiredApprovals: null
                    usesCostCenters: false
                    usesProjects: false
                    requireBasis: true
                    requireBasisForCorporateCards: null
                    requireBasisForCorporateCardsPrivatePurchase: null
                    usesCostCentersCustomField: false
                    usesProjectsCustomField: false
                    taxAccountingNumberId: null
                    taxSalaryCodeId: null
                    defaultCostCenterLocation: NONE
                    userCanChangeCostCenter: true
                    usePersonalPaymentTypes: null
                    usesPaymentBasis: false
                    useReport: true
                    useSingleExpense: false
                    showOngoingReports: null
                    setProjectAndCostCenterOnTaxAccounting: null
                    setProjectAndCostCenterOnPaymentAccounting: null
                    accountingNumbers:
                      - id: f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3
                        number: '2100'
                        text: Accrued Expenses
                        visible: false
                        type: ACCOUNTING_NUMBER
                    categories:
                      - id: a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4
                        categoryTemplateId: 434
                        name: General expenses
                        dateCreated: '2026-03-20T13:20:49Z'
                        accountingNumber:
                          id: f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3
                          number: '2100'
                          text: Accrued Expenses
                          visible: false
                          type: ACCOUNTING_NUMBER
                        accountingNumberId: f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3
                        accountingNumbers:
                          - id: f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3
                            number: '2100'
                            text: Accrued Expenses
                            visible: false
                            type: ACCOUNTING_NUMBER
                        verificationClassType: >-
                          com.findity.economy.accounting.travel.ReceiptVerification
                        defaultTaxPercent: 25
                        mccCodes: []
                        nonDeductableVat: false
                        accountNumberMapping: null
                        expenseCodeId: null
                        salaryCodeId: null
                        taxAccountingNumberId: null
                        taxSalaryCodeId: null
                        taxExpenseCodeId: null
                        deviantTaxPercent: null
                        budgetAmount: null
                        budgetName: null
                        budgetStartMonth: null
                        presetValues: []
                        settings: {}
                        expenseCategoryFilter: NONE
                        iconUrl: https://api.findity.com/api/resources/abc128
                        invertedIconUrl: https://api.findity.com/api/resources/abc129
                        classType: com.findity.economy.accounting.OtherExpenseCategory
                        categoryGroup: OTHER
                        showAccounting: false
                        showRepresentation: false
                        presets: []
                    voucherSeries: []
                    costCenters: []
                    projects: []
                    customDimensionDefinitions:
                      - id: g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2
                        definition: null
                        description: Project
                        type: null
                        level: EXPENSE
                        presetLocation: NONE
                        controlType: LIST_SEARCHABLE
                        userOverridable: false
                        externalSourceId: null
                        useDateInterval: null
                        recipientId: null
                        useAsRecipientFilter: false
                        visibleIfNoPreset: true
                        hideDimensionValues: null
                        usedInCarbonFootprint: null
                        deviateOnCreditRow: null
                        deviatingCreditRowValue: null
                    customDimensions: []
                    paymentTypes: []
                    representationTypes:
                      - id: h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3
                        code: LUNCH
                        text: Lunch
                        remuneration: 90
                        sortOrder: 1
                      - id: i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4
                        code: DINNER
                        text: Middag
                        remuneration: 90
                        sortOrder: 2
                      - id: j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5
                        code: REFRESHMENTS
                        text: Enklare förtäring, fika etc
                        remuneration: 60
                        sortOrder: 3
                      - id: k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6
                        code: OTHER
                        text: Övrigt
                        remuneration: 180
                        sortOrder: 4
                    attestationSections: []
                    allowOneDaySubsistenceAllowance: false
                    allowFutureSubsistanceAllowance: null
                    adminBulkSendSync: null
                    allowOneDaySubsistenceAllowanceCustomRules: false
                    allowOneDaySubsistenceAllowanceCustomRulesAbroad: false
                    useOneDaySubAllowanceCustomRulesAbroadDefAmounts: false
                    oneDaySubsistenceAllowanceMinHoursHalfDay: 0
                    oneDaySubsistenceAllowanceMinHoursHalfDayAbroad: 0
                    oneDaySubsistenceAllowanceMinHoursFullDay: 0
                    oneDaySubsistenceAllowanceMinHoursFullDayAbroad: 0
                    oneDaySubsistenceAllowanceFullDayAmount: 0
                    oneDaySubsistenceAllowanceHalfDayAmount: 0
                    oneDaySubsistenceAllowanceFullDayAmountAbroad: 0
                    oneDaySubsistenceAllowanceHalfDayAmountAbroad: 0
                    deviantFoodAmounts: false
                    deviantHoursAndAmount: false
                    deviantFoodAllowanceBreakfastAmount: 0
                    deviantFoodAllowanceLunchAmount: 0
                    deviantFoodAllowanceDinnerAmount: 0
                    deviantFoodAllowanceBreakfastAmountAbroad: 0
                    deviantFoodAllowanceLunchAmountAbroad: 0
                    deviantFoodAllowanceDinnerAmountAbroad: 0
                    deviantFoodAllowanceTaxable: false
                    deviantFoodAllowanceTaxableAbroad: false
                    deviantFoodAllowanceBreakfastPercent: 0
                    deviantFoodAllowanceLunchPercent: 0
                    deviantFoodAllowanceDinnerPercent: 0
                    deviantFoodAllowanceAbroadBreakfastPercent: 0
                    deviantFoodAllowanceAbroadLunchPercent: 0
                    deviantFoodAllowanceAbroadDinnerPercent: 0
                    subsistenceAllowanceAddPercent: 0
                    subsistenceAllowanceAddAmount: 0
                    subsistenceAllowanceAddPercentAccomodation: 0
                    subsistenceAllowanceAddAmountAccomodation: 0
                    allowReportAdminsToAttest: null
                    allowReportAdminsToSendReports: null
                    allowOrganizationAdminsToAttest: null
                    allowExtendedEditing: null
                    allowOnlyFtg: null
                    ignoreTaxForAbroadPurchases: true
                    bulkTransferReportsFailOnError: false
                    temporaryApproverLimitationType: ALL_EMPLOYEES
                    reviewType: NONE
                    useTwentyFivePercentRule: false
                    hideMarkAsPrivate: false
                    useNewReportPreview: false
                    allowanceType: DEFAULT
                    accountingSettingsId: l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6a7
                    accountingSettingsCountryCode: SE
                    usesSeparateDomesticTaxFreeSalaryCode: false
                    useNewBulkTransferReports: true
                    usesAccountingNumbers: true
                    usesSalaryCodes: false
                    usesPaymentTypes: true
                    usesExpenseCodes: false
                    usesBenefits: false
                    supportsDimensions: false
                    useAccountMapping: false
                    showOpenEmailField: false
                    usesNewAccountingStructure: true
                    accountingNumbersSynced: false
                    salaryCodesSynced: false
                    areAccountIdsHidden: false
                    useCreditAccountFromMileageCategory: null
                    useCreditAccountFromSubsistenceAllowanceCategory: null
                    reportVerificationListsType: REPORT_PER_ACCOUNT
                    exchangeRatePercentage: 0
                    reportMaxNumberOfExpenses: null
                    expenseReceiptMaxSize: null
                    collectReports: false
                    expenseBaseCurrencyCode: SEK
                sendEventToExternalSystemPartnerLevel: null
                policyUrl: null
                isMasterOrganization: false
                isExpenseManagementSettingsLocked: false
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: error
                description: organization not found
components:
  parameters:
    externalId:
      in: path
      name: externalId
      required: true
      description: The external source id of the organization
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  schemas:
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          example: error
        description:
          type: string
          example: organization not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````